﻿#======================================================
#  Fix Name: Driver Version Export to Desktop
#  Version #: 1 
#  Date Created: 4/5/16
#  Creator Name: Paul Foty - Templated by Kristine Young
#  Contact Info: Contact Info: kriyoung@microsoft.com
#  Supported Operating Systems:
#======================================================

#======================================================
#              Description
#
# This script performs the following:
# 
# Gets a list of drivers by Device Name and Driver Version
# and saves to a CSV file on the users desktop
#
#======================================================

#======================================================
#              Variables
#======================================================
  
# No variables needed

#======================================================
#              Elevate to Administrator
#======================================================

# Elevation not needed

#======================================================
#                    Perform Task
#======================================================

Get-WmiObject Win32_PnPSignedDriver| select devicename, driverversion | Export-Csv  "$env:USERPROFILE\Desktop\Current Device Driver Versions.csv"